> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2020-05-18/api-reference/verifications/selfie-verifications/retrieve-a-selfie-verification/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # Retrieve a Selfie Verification GET https://api.withpersona.com/api/v1/verification/selfies/{verification-id} Retrieve a selfie ID verification Reference: https://docs.withpersona.com/api-reference/verifications/selfie-verifications/retrieve-a-selfie-verification ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `verification-id` (string, required) ### Query parameters - `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details. - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a Selfie Verification object and (optionally) its related objects in `included`. - `data` (Selfie Verification, required) — A Selfie Verification ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of VerificationSelfiesVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of VerificationSelfiesVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of VerificationSelfiesVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 404 Not Found Error The requested resource doesn’t exist. - `errors` (list of VerificationSelfiesVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of VerificationSelfiesVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### Selfie Verification A Selfie Verification - `id` (string, optional) — The token of the verification - `attributes` (VerificationDiscriminatorMappingVerificationSelfieAttributes, optional) - `relationships` (verification-shared-relationships, optional) ### VerificationSelfiesVerificationIdGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### VerificationDiscriminatorMappingVerificationSelfieAttributes - `capture-method` (string, optional, nullable) — Possible values: - photo - video Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `center-photo-face-coordinates` (VerificationDiscriminatorMappingVerificationSelfieAttributesCenterPhotoFaceCoordinates, optional, nullable) - `center-photo-url` (string, optional, nullable) - `checks` (list of VerificationSharedAttributesChecksItems, optional) - `completed-at` (datetime, optional, nullable) — The time the verification was completed in ISO 8601 format - `completed-at-ts` (integer, optional, nullable) — The time the verification was completed in Unix timestamp format - `country-code` (string, optional, nullable) — ISO 3166-1 alpha 2 country code. - `created-at` (datetime, optional) — The time the verification was created in ISO 8601 format - `created-at-ts` (integer, optional) — The time the verification was created in Unix timestamp format - `document-similarity-score` (double, optional, nullable) - `entity-confidence-reasons` (list of string, optional) - `from-reusable-persona` (boolean, optional) - `left-photo-url` (string, optional, nullable) - `photo-urls` (list of VerificationDiscriminatorMappingVerificationSelfieAttributesPhotoUrlsItems, optional) - `redacted-at` (datetime, optional, nullable) — The time the verification was redacted in ISO 8601 format - `right-photo-url` (string, optional, nullable) - `selfie-similarity-score-left` (double, optional, nullable) - `selfie-similarity-score-right` (double, optional, nullable) - `status` (string, optional) — The status of the verification Possible values: - initiated - submitted - tentatively_passed (only for `verification/document` and `verification/qes-infocert`) - tentatively_failed (only for `verification/database-business` and `verification/database-business-footprint`) - passed - failed - requires_retry - skipped - canceled - confirmed (only for `verification/email-address` and `verification/phone-number`) Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `submitted-at` (datetime, optional, nullable) — The time the verification was submitted in ISO 8601 format - `submitted-at-ts` (integer, optional, nullable) — The time the verification was submitted in Unix timestamp format - `tags` (list of string, optional) — Tags on the verification - `video-url` (string, optional, nullable) ### verification-shared-relationships - `inquiry` (VerificationSharedRelationshipsInquiry, optional) — The inquiry linked to the verification - `template` (VerificationSharedRelationshipsTemplate, optional) - `inquiry-template-version` (VerificationSharedRelationshipsInquiryTemplateVersion, optional) - `inquiry-template` (VerificationSharedRelationshipsInquiryTemplate, optional) - `transaction` (VerificationSharedRelationshipsTransaction, optional) - `verification-template` (VerificationSharedRelationshipsVerificationTemplate, optional) - `verification-template-version` (VerificationSharedRelationshipsVerificationTemplateVersion, optional) - `accounts` (VerificationSharedRelationshipsAccounts, optional) ### VerificationDiscriminatorMappingVerificationSelfieAttributesCenterPhotoFaceCoordinates - `top-left` (list of double, optional) - `top-right` (list of double, optional) - `bottom-left` (list of double, optional) - `bottom-right` (list of double, optional) ### VerificationSharedAttributesChecksItems - `name` (string, optional) - `status` (string, optional) — Possible values: - passed - failed - not_applicable Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `category` (string, optional, nullable) — The category assigned to the check. Possible values include: - biometrics - fraud - user_action_required - validity This categorizes the check itself, not its outcome. A null category means the check is uncategorized or its category is unknown; it must not be interpreted as non-fraud. Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `reasons` (list of string, optional) — If applicable, reasons are the list of reasons explaining why the check failed or is not applicable. For some checks, `reasons` is the primary signal carrying the underlying detection results. For example, `business_website_malicious_website_detection` surfaces its IPQS and Google Web Risk signals here (e.g. `malware`, `phishing`, `spam-source`) rather than in `metadata`. - `requirement` (string, optional) — Possible values: - required - not_required - requires_retry Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `metadata` (map from string to any, optional) — This is a free-form object containing relevant metadata to the processing and result of the check. ### VerificationDiscriminatorMappingVerificationSelfieAttributesPhotoUrlsItems - `byte-size` (integer, optional, default: 0) - `filename` (string, optional) - `page` (string, optional) — Possible values: - left_photo - center_photo - right_photo Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `url` (string, optional) ### VerificationSharedRelationshipsInquiry The inquiry linked to the verification - `data` (VerificationSharedRelationshipsInquiryData, optional, nullable) ### VerificationSharedRelationshipsTemplate - `data` (VerificationSharedRelationshipsTemplateData, optional, nullable) ### VerificationSharedRelationshipsInquiryTemplateVersion - `data` (VerificationSharedRelationshipsInquiryTemplateVersionData, optional, nullable) ### VerificationSharedRelationshipsInquiryTemplate - `data` (VerificationSharedRelationshipsInquiryTemplateData, optional, nullable) ### VerificationSharedRelationshipsTransaction - `data` (VerificationSharedRelationshipsTransactionData, optional, nullable) ### VerificationSharedRelationshipsVerificationTemplate - `data` (VerificationSharedRelationshipsVerificationTemplateData, optional, nullable) ### VerificationSharedRelationshipsVerificationTemplateVersion - `data` (VerificationSharedRelationshipsVerificationTemplateVersionData, optional, nullable) ### VerificationSharedRelationshipsAccounts - `data` (list of VerificationSharedRelationshipsAccountsDataItems, optional) ### VerificationSharedRelationshipsInquiryData - `id` (string, optional) - `type` ("inquiry", optional) ### VerificationSharedRelationshipsTemplateData - `type` ("template", optional) - `id` (string, optional) ### VerificationSharedRelationshipsInquiryTemplateVersionData - `type` ("inquiry-template-version", optional) - `id` (string, optional) ### VerificationSharedRelationshipsInquiryTemplateData - `type` ("inquiry-template", optional) - `id` (string, optional) ### VerificationSharedRelationshipsTransactionData - `type` ("transaction", optional) - `id` (string, optional) ### VerificationSharedRelationshipsVerificationTemplateData - `type` (string, optional) - `id` (string, optional) ### VerificationSharedRelationshipsVerificationTemplateVersionData - `type` (string, optional) - `id` (string, optional) ### VerificationSharedRelationshipsAccountsDataItems - `id` (string, optional) - `type` ("account", optional) ## Examples **Response** ```json { "data": { "id": "ver_dCvHHPUHxvb5j2iYKfjwafBU", "attributes": { "capture-method": "photo", "center-photo-face-coordinates": { "top-left": [ 0.2, 0.5 ], "top-right": [ 0.5, 0.5 ], "bottom-left": [ 0.2, 0.7 ], "bottom-right": [ 0.5, 0.7 ] }, "center-photo-url": "https://files.withpersona.com/...", "checks": [ { "name": "selfie_id_comparison", "status": "not_applicable", "category": "fraud", "reasons": [ "no_government_id" ], "metadata": {} }, { "name": "selfie_pose_detection", "status": "passed", "category": "fraud", "reasons": [], "metadata": {} }, { "name": "selfie_multiple_faces_detection", "status": "passed", "category": "fraud", "reasons": [], "metadata": {} }, { "name": "selfie_pose_repeat_detection", "status": "passed", "category": "fraud", "reasons": [], "metadata": {} }, { "name": "selfie_account_comparison", "status": "not_applicable", "category": "fraud", "reasons": [ "no_account_selfie_present" ], "metadata": {} }, { "name": "selfie_suspicious_entity_detection", "status": "passed", "category": "fraud", "reasons": [], "metadata": {} }, { "name": "selfie_liveness_detection", "status": "passed", "category": "fraud", "reasons": [], "metadata": {} }, { "name": "selfie_glasses_detection", "status": "passed", "category": "user_action_required", "reasons": [], "metadata": {} }, { "name": "selfie_glare_detection", "status": "failed", "category": "user_action_required", "reasons": [ "too_much_glare" ], "metadata": {} }, { "name": "selfie_public_figure_detection", "status": "passed", "category": "fraud", "reasons": [], "metadata": {} }, { "name": "selfie_age_comparison", "status": "not_applicable", "category": "fraud", "reasons": [ "no_reference_birthdate" ], "metadata": {} }, { "name": "selfie_face_covering_detection", "status": "passed", "category": "user_action_required", "reasons": [], "metadata": {} } ], "completed-at": "2022-07-28T21:54:33.000Z", "completed-at-ts": 1659045273, "country-code": null, "created-at": "2022-07-28T21:54:23.000Z", "created-at-ts": 1659045263, "document-similarity-score": null, "left-photo-url": "https://files.withpersona.com/...", "photo-urls": [ { "byte-size": 316802, "filename": "selfie_left.jpg", "page": "left_photo", "url": "https://files.withpersona.com/..." } ], "right-photo-url": "https://files.withpersona.com/...", "selfie-similarity-score-left": 100, "selfie-similarity-score-right": 100, "status": "passed", "submitted-at": "2022-07-28T21:54:29.000Z", "submitted-at-ts": 1659045269, "video-url": "https://files.withpersona.com/..." }, "relationships": { "inquiry": { "data": null } }, "type": "verification/selfie" } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/verification/selfies/verification-id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/verification/selfies/verification-id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/verification/selfies/verification-id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/verification/selfies/verification-id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/verification/selfies/verification-id") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/verification/selfies/verification-id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/verification/selfies/verification-id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/verification/selfies/verification-id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```